al_draw_filled_polygon(3)

NAME

al_draw_filled_polygon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_filled_polygon(const float *vertices, int vertex_count,
       ALLEGRO_COLOR color)

DESCRIPTION

Draw a filled, simple polygon. Simple means it does not have to be convex but must not be self-overlapping.

•   vertices - Interleaved array of (x, y) vertex coordinates

•   vertex_count - Number of vertices in the array

•   color - Color of the filled polygon

When the y-axis is facing downwards (the usual), the coordinates must be ordered anti-clockwise.

SINCE

5.1.0

SEE ALSO

al_draw_polygon(3), al_draw_filled_polygon_with_holes(3)